Name:           bloaty
Version:        1.1
Release:        %mkrel 13
Summary:        A size profiler for binaries
Group:          Development/Other
License:        ASL 2.0
URL:            https://github.com/google/bloaty
Source0:        https://github.com/google/bloaty/archive/v%{version}/%{name}-%{version}.tar.gz
# Patch to use system versions of abseil, google-test and google-mock
Patch0:         bloaty-1.1-absl.patch
# Patch to fix size detection function to use 64 bit types on 32bit architectures
Patch1:         bloaty-1.1-longlong.patch

BuildRequires:  abseil-cpp-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(capstone)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(re2)

%description
Ever wondered what's making your binary big? Bloaty McBloatface will show
you a size profile of the binary so you can understand what's taking up
space inside.

Bloaty works on binaries, shared objects, object files, and static
libraries. Bloaty supports the ELF and Mach-O formats, and has experimental
support for WebAssembly.

%prep
%autosetup -p0 -S gendiff

%build
%cmake \
  -DBUILD_SHARED_LIBS=OFF \
  -DBLOATY_ENABLE_CMAKETARGETS=OFF \
  -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%check
%ctest --verbose || exit 0

%files
%license LICENSE
%doc README.md how-bloaty-works.md
%{_bindir}/%{name}


%changelog
* Mon Dec 11 2023 tv <tv> 1.1-13.mga10
+ Revision: 2017186
- Rebuild for capstone-5

* Sat Sep 23 2023 daviddavid <daviddavid> 1.1-12.mga10
+ Revision: 1989501
- fix build with absl needing minimum C++14
- rebuild for new abseil-cpp 20230802.0

* Thu Sep 07 2023 daviddavid <daviddavid> 1.1-11.mga10
+ Revision: 1984954
- rebuild for new re2 20230901

* Thu Dec 22 2022 wally <wally> 1.1-10.mga9
+ Revision: 1925778
- rebuild for protobuf 21.12

* Fri Sep 09 2022 akien <akien> 1.1-9.mga9
+ Revision: 1886129
- Rebuild for abseil-cpp 20220623.1

* Mon Aug 08 2022 wally <wally> 1.1-8.mga9
+ Revision: 1876260
- rebuild for abseil-cpp 20220623.0

* Fri Apr 01 2022 umeabot <umeabot> 1.1-7.mga9
+ Revision: 1838985
- Mageia 9 Mass Rebuild

* Wed Dec 29 2021 wally <wally> 1.1-6.mga9
+ Revision: 1765230
- rebuild for abseil-cpp 20211102.0

* Tue Dec 28 2021 wally <wally> 1.1-5.mga9
+ Revision: 1764964
- rebuild for protobuf 3.19.1

* Fri Dec 18 2020 luigiwalser <luigiwalser> 1.1-4.mga8
+ Revision: 1660999
- rebuild for protobuf

* Thu Dec 03 2020 luigiwalser <luigiwalser> 1.1-3.mga8
+ Revision: 1652189
- rebuild for re2

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.1-2.mga8
+ Revision: 1650715
- rebuild for protobuf

* Wed Oct 14 2020 akien <akien> 1.1-1.mga8
+ Revision: 1635894
- import bloaty-1.1-5.fc34

